package org.jboss.aop.util;

import org.zeroturnaround.javarebel.ClassEventListener;

public class MethodHashingClassReloadListener implements ClassEventListener {

  public void onClassEvent(int eventType, Class klass) {
    MethodHashing.constructorHashesByClass.remove(klass);
    MethodHashing.methodHashesByClass.remove(klass);
    MethodHashing.methodHashesByName.remove(klass);
  }

  public int priority() {
    return PRIORITY_DEFAULT;
  }

}
